%global pypi_name rebulk

Name:           python-%{pypi_name}
Version:        3.2.0
Release:        %mkrel 4
Summary:        Define simple search patterns in bulk to perform advanced matching on any string
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/rebulk/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
ReBulk is a python library that performs advanced searches in strings that
would be hard to implement using re module or String methods only.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest-runner)

%description -n python3-%{pypi_name}
ReBulk is a python library that performs advanced searches in strings that
would be hard to implement using re module or String methods only.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files rebulk

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CHANGELOG.md LICENSE README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 3.2.0-4.mga10
+ Revision: 2239037
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 3.2.0-3.mga10
+ Revision: 2155900
- rebuild for python3.13

* Sun Jan 21 2024 papoteur <papoteur> 3.2.0-2.mga10
+ Revision: 2033456
- rebuild for python 3.12

* Mon Sep 11 2023 papoteur <papoteur> 3.2.0-1.mga10
+ Revision: 1986283
- new 3.2.0

* Sun Mar 27 2022 umeabot <umeabot> 3.1.0-3.mga9
+ Revision: 1828887
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 3.1.0-2.mga9
+ Revision: 1783117
- rebuild for python-3.10

* Sat Jan 08 2022 guillomovitch <guillomovitch> 3.1.0-1.mga9
+ Revision: 1767289
- new version 3.1.0

* Mon Mar 22 2021 guillomovitch <guillomovitch> 3.0.1-2.mga9
+ Revision: 1707299
- rebuild for python 3.9

* Fri Feb 26 2021 guillomovitch <guillomovitch> 3.0.1-1.mga9
+ Revision: 1691755
- new version 3.0.1

* Fri May 08 2020 guillomovitch <guillomovitch> 2.0.1-1.mga8
+ Revision: 1581759
- imported package python-rebulk

